<template>
  <b-card no-body>
    <b-card-body class="small">
      <ul
        v-if="notifications.length > 0"
        class="list list-timeline list-timeline-simple no-show-scroll"
      >
        <Notification
          v-for="notification in notifications"
          :key="notification.index"
          :notification="notification"
        />
      </ul>
      <div
        v-else
        class="d-flex flex-column align-items-center justify-content-center"
      >
        <BellXIcon class="text-purple" style="height: 70px; width: 70px" />
        <h4 class="mb-0 mt-1 text-center text">No notifications</h4>
        <p class="mb-0 text-center mt-1 text-secondary" style="font-size: 10px">
          You have no notifications right now
        </p>
      </div>
    </b-card-body>
  </b-card>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  computed: {
    ...mapGetters({
      notifications: 'notifications/all',
    }),
  },
};
</script>
<style scoped>
.no-show-scroll {
  overflow-y: auto;
  max-height: 400px;
  scrollbar-color: grey rgb(240, 240, 240);
  scrollbar-width: 4px;
}
.no-show-scroll::-webkit-scrollbar {
  width: 5px;
}
.no-show-scroll::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 5px;
}
.no-show-scroll::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 0px solid slategrey;
  border-radius: 5px;
}
.no-show-scroll::-webkit-scrollbar-thumb:hover {
  background: grey;
}
</style>
